﻿Partial Class _Default
    Inherits System.Web.UI.Page
    'Se crea una instancia (copia) del servicio Web 
    Dim aux As New wsCalculadora.Service
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Session("Acumulador") = 0
            Session("operador") = 0 '1=suma, 2=Resta, 3=multiplicación, 4=Division 5=Potencia
        End If
    End Sub
    Sub Cargar(ByVal num$)
        If txtPantalla.Text = "0.00" Then txtPantalla.Text = ""
        txtPantalla.Text &= num
    End Sub
    Sub Acumular()
        'Se acumulan los valores antes de pulsar el botón igual.
        Session("Acumulador") = Session("Acumulador") + Convert.ToInt32(txtPantalla.Text)
    End Sub
    Protected Sub btnCero_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCero.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btnCero.Text)
    End Sub
    Protected Sub btn1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn1.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn1.Text)
    End Sub
    Protected Sub btn2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn2.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn2.Text)
    End Sub
    Protected Sub btn3_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn3.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn3.Text)
    End Sub
    Protected Sub btn4_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn4.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn4.Text)
    End Sub
    Protected Sub btn5_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn5.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn5.Text)
    End Sub
    Protected Sub btn6_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn6.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn6.Text)
    End Sub
    Protected Sub btn7_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn7.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn7.Text)
    End Sub
    Protected Sub btn8_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn8.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn8.Text)
    End Sub
    Protected Sub btn9_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn9.Click
        'Se carga en la pantalla el valor del texto del botón.
        Cargar(btn9.Text)
    End Sub

    Protected Sub btnMas_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnMas.Click
        'Envia a acumular el valor anterior más el nuevo valor antes que se pulse el botón igual.
        Acumular()
        'Se asegura que la operación es suma por si se pulsa el botón igual.
        Session("operador") = 1
        txtPantalla.Text = ""
    End Sub

    Protected Sub btnMenos_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnMenos.Click
        'Envia a acumular el valor anterior más el nuevo valor antes que se pulse el botón igual.
        Acumular()
        'Se asegura que la operación es restar por si se pulsa el botón igual.
        Session("operador") = 2
        txtPantalla.Text = ""
    End Sub

    Protected Sub btnPor_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPor.Click
        'Envia a acumular el valor anterior más el nuevo valor antes que se pulse el botón igual.
        Acumular()
        'Se asegura que la operación es multiplicar por si se pulsa el botón igual.
        Session("operador") = 3
        txtPantalla.Text = ""
    End Sub

    Protected Sub btnRaya_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnRaya.Click
        'Envia a acumular el valor anterior más el nuevo valor antes que se pulse el botón igual.
        Acumular()
        'Se asegura que la operación es multiplicar por si se pulsa el botón igual.
        Session("operador") = 4
        txtPantalla.Text = ""
    End Sub

    Protected Sub btnIgual_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnIgual.Click
        'Según el operador se ejecuta el llamado a la función 
        'del servicio Web(Sumar, Restar, Multiplicar, Dividir o Potencia)
        Select Case Session("operador")
            Case 1 : Session("Acumulador") = aux.Sumar(Session("Acumulador"), Convert.ToInt32(txtPantalla.Text))
            Case 2 : Session("Acumulador") = aux.Restar(Session("Acumulador"), Convert.ToInt32(txtPantalla.Text))
            Case 3 : Session("Acumulador") = aux.Multiplicar(Session("Acumulador"), Convert.ToInt32(txtPantalla.Text))
            Case 4 : Session("Acumulador") = aux.Dividir(Session("Acumulador"), Convert.ToInt32(txtPantalla.Text))
            Case 5 : Session("Acumulador") = aux.Potencia(Session("Acumulador"), Convert.ToInt32(txtPantalla.Text))
        End Select
        txtPantalla.Text = ""
        txtPantalla.Text = Session("Acumulador")
        Session("Acumulador") = 0
    End Sub

    Protected Sub btnSqrt_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSqrt.Click
        'Se ejecuta directamente la función RaizCuadrada desde el servicio Web.
        txtPantalla.Text = aux.RaizCuadrada(Convert.ToDouble(txtPantalla.Text))
    End Sub

    Protected Sub btnC_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnC.Click
        Session("Acumulador") = 0
        txtPantalla.Text = "0.00"
    End Sub

    Protected Sub btnXY_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnXY.Click
        Acumular()
        Session("operador") = 5
        txtPantalla.Text = ""
    End Sub

    Protected Sub btnCos_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCos.Click
        txtPantalla.Text = aux.Coseno(Convert.ToDouble(txtPantalla.Text))
    End Sub

    Protected Sub btnSen_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSen.Click
        txtPantalla.Text = aux.Seno(Convert.ToDouble(txtPantalla.Text))
    End Sub

    Protected Sub btnTan_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnTan.Click
        txtPantalla.Text = aux.Tangente(Convert.ToDouble(txtPantalla.Text))
    End Sub

    Protected Sub btnIn_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnIn.Click
        txtPantalla.Text = aux.Logaritmo10(Convert.ToDouble(txtPantalla.Text))
    End Sub
End Class
